%global packname  webutils
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.6
Release:          2%{?dist}
Summary:          Utility Functions for Developing Web Applications

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-curl R-jsonlite
# Suggests:  R-httpuv R-testthat
# LinkingTo:
# Enhances:

Requires:         R-curl >= 2.5
Requires:         R-jsonlite
Suggests:         R-httpuv
BuildRequires:    R-devel tex(latex)
BuildRequires:    R-curl >= 2.5
BuildRequires:    R-jsonlite
BuildRequires:    R-httpuv R-testthat

%description
High performance in-memory http request parser for application/json,
multipart/form-data, and application/x-www-form-urlencoded. Includes live
demo of hosting and parsing multipart forms with either 'httpuv' or


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%ifnarch aarch64
%check
export LANG=C.UTF-8
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/testpage.html


%changelog
* Fri May 18 2018 Tom Callaway <spot@fedoraproject.org> - 0.6-2
- rebuild for R 3.5.0

* Thu Mar 08 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.6-1
- initial package for Fedora
